### File

`src/app/ide-compile/ide-compile.component.ts`

### Implements

`OnInit`

### Metadata

selector | `app-ide-compile`
styleUrls | `./ide-compile.component.scss`
templateUrl | `./ide-compile.component.html`

### Index

###### Properties

- isActive

###### Methods

- ngOnInit
- setState

###### Inputs

- statusVal

###### Accessors

- status

### Constructor

`constructor()`
Defined in src/app/ide-compile/ide-compile.component.ts:10

### Inputs

statusVal
Type : `string`
Defined in src/app/ide-compile/ide-compile.component.ts:9

### Methods

ngOnInit
`ngOnInit()`
Defined in src/app/ide-compile/ide-compile.component.ts:19
Returns : `void`

setState
`setState(inp: boolean)`
Defined in src/app/ide-compile/ide-compile.component.ts:22

Parameters :

Name | Type | Optional
inp | `boolean` | No

Returns : `void`

### Properties

isActive
Default value : `false`
Defined in src/app/ide-compile/ide-compile.component.ts:10

### Accessors

status
set `status(value: string)`
Defined in src/app/ide-compile/ide-compile.component.ts:15

Parameters :

Name | Type | Optional
value | `string` | No

Returns : `void`

    import {Component, Input, OnInit} from '@angular/core';

    @Component({
      selector: 'app-ide-compile',
      templateUrl: './ide-compile.component.html',
      styleUrls: ['./ide-compile.component.scss']
    })
    export class IdeCompileComponent implements OnInit {
      @Input() statusVal: string;
      isActive = false;

      constructor() {
      }

      set status(value: string) {
        this.statusVal = value;
      }

      ngOnInit(): void {
      }

      setState(inp: boolean): void {
        this.isActive = inp;
      }
    }

    <div [class.open]="isActive" id="compile-cover"></div>

    <div [class.open]="isActive" id="compile-popup">
      <p [innerHTML]="statusVal" id="compile-status"></p>
      <button (click)="setState(false)" id="compile-done">Done
      </button>
    </div>

`./ide-compile.component.scss`

    #compile-popup {
      position: fixed;
      top: 50%;
      width: 30vw;
      left: calc(35vw - 20px);
      border-bottom: 1px solid #ddf;
      padding: 20px;
      background: #224;
      transform: translateY(-50%) scale(0);
      opacity: 0;
      transition: all 0.25s;
      z-index: 1000;

      p {
        max-height: 70vh;
        overflow: auto;
      }

      &.open {
        transform: translateY(-50%) scale(1);
        opacity: 1;
      }
    }

    #compile-done {
      float: right;
    }

    #compile-cover {
      z-index: 999;
      position: fixed;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100vh;
      display: none;

      &.open {
        display: block;
      }
    }

Legend
Html element
Component
Html element with directive

# result-matching ""

# No results matching ""